Name:           libqjson
Summary:        QJson is a qt-based library that maps JSON data to QVariant objects
Version:        0.6
Release:        %mkrel 1
License:        GPLv2
Url:            http://qjson.sourceforge.net/
Group:          Development/C
BuildRequires:  cmake
BuildRequires:  qt4-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        http://downloads.sourceforge.net/qjson/qjson-%{version}.tar.bz2

%description
JSON (JavaScript Object Notation) is a lightweight data-interchange format. 
It can represents integer, real number, string, an ordered sequence of value, 
and a collection of name/value pairs.
QJson is a qt-based library that maps JSON data to QVariant objects.
JSON arrays will be mapped to QVariantList instances, while JSON's objects 
will be mapped to QVariantMap.

#--------------------------------------------------------------------

%define major 0
%define libname %mklibname qjson %{major}

%package -n   %{libname}
Summary:      QJson is a qt-based library that maps JSON data to QVariant objects
Group:        System/Libraries
Provides:     %name = %version-%release

%description -n   %{libname}
JSON (JavaScript Object Notation) is a lightweight data-interchange format.
It can represents integer, real number, string, an ordered sequence of value,
and a collection of name/value pairs.
QJson is a qt-based library that maps JSON data to QVariant objects.
JSON arrays will be mapped to QVariantList instances, while JSON's objects
will be mapped to QVariantMap.

%files -n   %{libname}
%defattr(-,root,root)
%_libdir/libqjson.so.%{major}*

#--------------------------------------------------------------------

%define develname %mklibname -d qjson

%package -n %{develname}
Summary:      Development files for QJson
Group:        Development/C
Requires:     %name = %version
Provides:     %name-devel = %version-%release

%description -n %{develname}
JSON (JavaScript Object Notation) is a lightweight data-interchange format.
It can represents integer, real number, string, an ordered sequence of value,
and a collection of name/value pairs.
QJson is a qt-based library that maps JSON data to QVariant objects.
JSON arrays will be mapped to QVariantList instances, while JSON's objects
will be mapped to QVariantMap.

This package contains files for developing applications using 
QJson.

%files -n %{develname}
%defattr(-,root,root)
%_libdir/libqjson.so
%_libdir/pkgconfig/QJson.pc
%_datadir/apps/cmake/modules/FindQJSON.cmake
%_includedir/qjson

#--------------------------------------------------------------------

%prep
%setup -q -n qjson-%{version}

%build
%cmake
%make

%install
rm -rf %{buildroot}

cd build
%makeinstall_std

%clean
rm -rf %buildroot



%changelog
* Sun Aug 16 2009 Nicolas Lécureuil <neoclust@mandriva.org> 0.6-1mdv2010.0
+ Revision: 417084
- Fix groups
- import libqjson


* Sun Aug 16 2009 Daniel Lucio <dlucio@mandriva.org> - 0.6-1mdv2009
- released 0.6

* Tue Jul 07 2009 Glen.Ogilvie <nelg@mandriva.org> - 0.5.1-1mdv2009.1
- released 0.5.1 - released mandriva version

* Wed Apr 07 2009 flavio@castelli.name
- released 0.5.1 - added unicode support

* Fri Apr 03 2009 flavio@castelli.name
- first release

